Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151681 - NetBeans folder in Applications is read only for admin
NetBeans folder in Applications is read only for admin
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Mac Native
6.x
All Mac OS X
: P3 (vote)
: 6.x
Assigned To: Yulia Novozhilova
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 09:45 UTC by Petr Chytil
Modified: 2009-02-19 20:57 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Chytil 2008-10-29 09:45:09 UTC
The NetBeans folder, which is created by installer in /Applications folder on Mac is read only for administrator. This
prevents user from creating alias (shortcut) of NetBeans.app in this folder. I've checked other folder, which were
created by other application's installers and it simply doesn't seem to be common practice to create R/O subfolders in
Applications.
Comment 1 Yulia Novozhilova 2008-11-19 20:12:08 UTC
Fixed: http://hg.netbeans.org/main/rev/84c7b358e34d
Comment 2 Quality Engineering 2008-11-20 04:44:30 UTC
Integrated into 'main-golden', will be available in build *200811200201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/84c7b358e34d
User: Yulia Novozhilova <ynov@netbeans.org>
Log: [Mac OS installer] Fix for #151681 NetBeans folder in Applications is read only
Comment 3 Petr Chytil 2008-11-20 07:40:00 UTC
thanks for the fix, verified in this build's installer:

Product Version: NetBeans IDE Dev (Build 200811200201)
Java: 1.5.0_16; Java HotSpot(TM) Client VM 1.5.0_16-133
System: Mac OS X version 10.5.5 running on i386; MacRoman; en_US (nb)
Userdir: /Users/petr/.netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo